> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return employee data

> Return employee data for the specified employee ID



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/employees/{employeeId}
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/employees/{employeeId}:
    get:
      tags:
        - Employee
      summary: Return employee data
      description: Return employee data for the specified employee ID
      operationId: getEmployeeById
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
        - in: path
          name: employeeId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                Requesting information for a specific Employee:
                  description: Requesting information for a specific Employee
                  summary: >-
                    Employee information with navigation links provided via HTTP
                    headers
                  value:
                    employee:
                      address:
                        city: some-city
                        state: AZ
                        streetAddress1: 123 Somewhere ST
                        zipCode: '12345'
                      appliedForSsn: false
                      dateOfBirth: '1987-06-23'
                      emailAddress: john.public@example.com
                      employment:
                        employeeDocumentOptions:
                          i9RemoteCounterSignAuthorized: true
                          i9RemoteReverificationAuthorized: true
                        hireDate: '2025-05-18'
                        startDate: '2025-06-01'
                        status: active
                        statusChangedAt: '2025-04-08T14:30:33.528Z'
                        statusChangedBy: '0'
                      firstName: John
                      id: 0195c93d-7c5e-9f8a-b4d2-17e36acd9510
                      lastName: Public
                      socialSecurityNumber: 564-74-3215
                      telephoneNumber: 480-596-1500
              schema:
                $ref: '#/components/schemas/EmployeeResponse'
          description: OK
        '400':
          description: Bad Request, make sure to use GET request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    EmployeeResponse:
      description: Employee response
      properties:
        employee:
          $ref: '#/components/schemas/EmployeeDetails'
          description: Employee information
      type: object
    EmployeeDetails:
      description: Employee information
      properties:
        address:
          $ref: '#/components/schemas/Address'
          description: >-
            The address sub-element of the Employee element contains all data
            pertaining to Employee's physical address.
        appliedForSsn:
          description: >-
            Indicates whether the employee has applied for an SSN. If true,
            socialSecurityNumber cannot be provided. If false,
            socialSecurityNumber is required. For updates, this field is
            optional.
          type: boolean
        dateOfBirth:
          description: Date of birth associated with a Employee.
          format: date
          type: string
        emailAddress:
          description: Email address associated with a Employee.
          type: string
        employment:
          $ref: '#/components/schemas/Employment'
          description: Current employment record
        firstName:
          description: Employee's first name.
          type: string
        gender:
          enum:
            - f
            - m
            - x
          type: string
        id:
          format: uuid
          type: string
        lastName:
          description: Employee's last name.
          type: string
        middleName:
          description: Employee's middle name.
          type: string
        nickname:
          type: string
        skipEverify:
          description: >-
            Allows employer to manage E-Verify cases manually via the E-Verify
            website directly. When true, employee will not be automatically sent
            to E-Verify when Form I-9 is completed.
          type: boolean
        socialSecurityNumber:
          description: >-
            Employee's Social Security Number. Must be exactly 9 digits. All
            non-numeric characters will be automatically removed before
            validation (for example, 123-45-6789 will be validated as
            123456789). Required when appliedForSsn is false. Cannot be provided
            when appliedForSsn is true.
          type: string
        telephoneNumber:
          description: >-
            The phone number associated with a Employee. Required if remote
            verification (i9RemoteCounterSignAuthorized or
            i9RemoteReverificationAuthorized) is enabled.
          type: string
      required:
        - dateOfBirth
        - emailAddress
        - employment
        - firstName
        - lastName
      type: object
    Address:
      properties:
        city:
          description: City of the address.
          type: string
        country:
          enum:
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XK
            - XU
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
          type: string
        state:
          description: State or territory. Must be a 2 digit abbreviation such as AZ
          type: string
        streetAddress1:
          description: Civic number and street name of the address.
          type: string
        streetAddress2:
          description: >-
            Apartment, floor, unit number, or other address designation that is
            part of the address.
          type: string
        zipCode:
          description: >-
            Address zip code. Must be exactly 5 or exactly 9 digits. All
            non-numeric characters will be automatically removed before
            validation (for example, 85260-2662 will be validated as 852602662).
          type: string
      required:
        - city
        - state
        - streetAddress1
        - zipCode
      type: object
    Employment:
      properties:
        employeeDocumentOptions:
          $ref: '#/components/schemas/EmployeeDocumentOptions'
          description: I9 configuration
        hireDate:
          description: Employee's hire date
          format: date
          type: string
        startDate:
          description: Employee's start date
          format: date
          type: string
        status:
          description: Employee's current employment status
          enum:
            - active
            - inactive
          type: string
        statusChangedAt:
          format: date-time
          type: string
        statusChangedBy:
          type: string
        statusNote:
          description: If deactivated, the accompanying note or reason
          type: string
        terminationDate:
          description: Employee's termination date
          format: date
          type: string
      type: object
    EmployeeDocumentOptions:
      properties:
        i9RemoteCounterSignAuthorized:
          type: boolean
        i9RemoteReverificationAuthorized:
          type: boolean
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````